/* INDEX.HTML */

body{
  margin:0;
  height:100vh;
  font-family:Rubik, sans-serif;
  background:#0b0b0f;
  color:white;
  display:flex;
  align-items:center;
  justify-content:center;
  flex-direction:column;
  gap:20px;
}

button{
  padding:14px 24px;
  border:none;
  border-radius:14px;
  font-size:16px;
  font-weight:700;
  background:#d80027;
  color:white;
  cursor:pointer;
}

/* PLAYER.HTML */

html, body{
  margin:0;
  width:100%;
  height:100%;
  overflow:hidden;

  background: linear-gradient(225deg, #D1432C 0%, #ffffff 100%);
  font-family:Rubik, sans-serif;

  display:flex;
  align-items:center;
  justify-content:center;
}


.player{
  width: 90%;
  max-width: 380px;

  height: 90%;
  max-height: 620px;

  padding: 20px;

  display:flex;
  flex-direction:column;
  align-items:center;
}

/* Logo en haut à gauche */
.topLogo{
  position:absolute;
  top:10px;
  left:10px;
  background:#ffffff;
  padding:4px 8px;
  border-radius:12px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.25);
}

.topLogo img{
  width:55px;
}

/* Cover */
.cover{
  width:100%;
  aspect-ratio:1/1;
  border-radius:18px;
  overflow:hidden;
  background-color: #ffffff;

  box-shadow: 0 10px 30px rgba(0,0,0,0.25);
}

.cover img{
  width:100%;
  height:100%;
  object-fit:cover;
}

/* Titre */
.title{
  margin-top:18px;
  font-size:20px;
  font-weight:600;
  color:#111;
  text-align:center;
}

/* Artiste */
.artist{
  margin-top:6px;
  font-size:14px;
  color:rgba(0,0,0,0.6);
  text-align:center;
}

/* Contrôles */
.controls{
  margin-top:auto;
  width:100%;
  display:flex;
  justify-content:space-between;
  align-items:center;
  gap:20px;
}

/* Bouton lecture */
.play{
  width:70px;
  height:70px;
  border-radius:50%;
  border:none;

  background:#D1432C;
  color:white;
  font-size:28px;

  cursor:pointer;

  box-shadow:
    0 12px 30px rgba(209,67,44,0.4),
    0 4px 10px rgba(0,0,0,0.2);

  transition: transform 0.15s ease;
}

.play:hover{
  transform: scale(1.08);
}

/* Slider Volume */
#volume {
  -webkit-appearance: none;
  appearance: none;
  width: 160px;
  height: 6px;
  border-radius: 6px;
  background: #e0e0e0;
  outline: none;
  cursor: pointer;
}

#volume::-webkit-slider-runnable-track {
  height: 6px;
  border-radius: 6px;
  background: transparent;
}

#volume::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;

  width: 18px;
  height: 18px;
  border-radius: 50%;
  background: #ffffff;
  border: 3px solid #D1432C;

  cursor: pointer;
  margin-top: -6px;

  box-shadow: 0 0 10px rgba(209,67,44,0.4);
  transition: transform 0.15s ease;
}

#volume::-webkit-slider-thumb:hover {
  transform: scale(1.15);
}

.volumeBox{
  display:flex;
  align-items:center;
  gap:12px;
}

#volumeIcon{
  font-size:18px;
  color:#D1432C;
  width:20px;
  text-align:center;
}
